Rolodex
/- Sends out a preview of the CRC notification email
Creates a new organization record that does not already exist.
Execute Batch Operations
Get all descendent organizations
Returns the organization matching the specified domain_name
Finds all conflicting fields for organizations
Returns a list of records with the specified parent_organization_id
Get publicly available information for an org
Re-runs compliance for all organizations in the system
Searches for organizations using predefined parameters
Looks up a social profile and returns what is found to the user
Returns a organization from the system by its ID.
Returns a organization from the system by its ID.
Partially updates a organization with the specified ID.
Updates a organization with the specified ID.
Updates a organization with data merged from other organizations then signals other microservices to complete the merge
Sends out a preview of th...
Sends out a preview of the CRC notification email
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/previewContactRoleComplianceEmail
- https://rolodex.api.rhythmsoftware.comhttps://rolodex.api.rhythmsoftware.com/organizations/{tenantId}/previewContactRoleComplianceEmail
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}/previewContactRoleComplianceEmail' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"contact_id": "string",
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"organization_id": "string"
}'